i2stx: XI2s_Tx Struct Reference

| i2stx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XI2s_Tx Struct Reference

This typedef implements the I2s Transmitter driver instance data. More...

## Data Fields
u32 | IsReady
| Core and driver instance are initialized. More...
u32 | IsStarted
| Core and driver instance has started. More...
XI2stx_Config | Config
| Hardware Configuration. More...
XI2s_Tx_Log | Log
| Logging for I2s Transmitter. More...
XI2s_Tx_Callback | AesBlkCmpltHandler
| AES Block Complete Handler. More...
XI2s_Tx_Callback | AesBlkSyncErrHandler
| AES Block Sync Err Handler. More...
XI2s_Tx_Callback | AudUndrflwHandler
| Audio Underflow Handler. More...

## Detailed Description

This typedef implements the I2s Transmitter driver instance data.

An instance must be allocated for each I2s Transmitter core in use.

## Field Documentation

XI2s_Tx_Callback XI2s_Tx::AesBlkCmpltHandler

AES Block Complete Handler.

Referenced by XI2s_Tx_IntrHandler(), and XI2s_Tx_SetHandler().

XI2s_Tx_Callback XI2s_Tx::AesBlkSyncErrHandler

AES Block Sync Err Handler.

Referenced by XI2s_Tx_IntrHandler(), and XI2s_Tx_SetHandler().

XI2s_Tx_Callback XI2s_Tx::AudUndrflwHandler

Audio Underflow Handler.

Referenced by XI2s_Tx_IntrHandler(), and XI2s_Tx_SetHandler().

XI2stx_Config XI2s_Tx::Config

Hardware Configuration.

Referenced by XI2s_Tx_CfgInitialize(), XI2s_Tx_Enable(), XI2s_Tx_GetAesChStatus(), XI2s_Tx_IntrDisable(), XI2s_Tx_IntrEnable(), XI2s_Tx_IntrHandler(), XI2s_Tx_Justify(), XI2s_Tx_JustifyEnable(), XI2s_Tx_LogDisplay(), XI2s_Tx_SetChMux(), and XI2s_Tx_SetSclkOutDiv().

u32 XI2s_Tx::IsReady

Core and driver instance are initialized.

Referenced by XI2s_Tx_CfgInitialize(), and XI2s_Tx_IntrHandler().

u32 XI2s_Tx::IsStarted

Core and driver instance has started.

Referenced by XI2s_Tx_Enable().

XI2s_Tx_Log XI2s_Tx::Log

Logging for I2s Transmitter.

Referenced by XI2s_Tx_LogRead(), XI2s_Tx_LogReset(), and XI2s_Tx_LogWrite().